/**
 * @file test_error_handler.cpp
 * @brief Unit tests for ErrorHandler component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "error_handler.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_error_handler_initialize(void)
{
    ErrorHandler comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_error_handler_deinitialize(void)
{
    ErrorHandler comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
